SmartSend
Get Gift Recommendations
Retrieves a list of recommendations for a given recipient email.
GET
/
api
/
v3
/
smartsend
/
recommendations
Get Gift Recommendations
curl --request GET \
--url https://app.staging.sendo.so/api/v3/smartsend/recommendations \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.staging.sendo.so/api/v3/smartsend/recommendations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.staging.sendo.so/api/v3/smartsend/recommendations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"products": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"interests": [
"<string>"
],
"variants": [
{
"id": "<string>",
"estimated_total_price": {
"currency": "<string>",
"price_per_unit": "<string>"
},
"images": [
{
"url": "<string>",
"cdn_main": {
"url": "<string>"
},
"cdn_thumbnail": {
"url": "<string>"
}
}
]
}
]
}
]
}Required Auth Scopes
smartsend
Parameters
string
required
The email of the recipient.
integer
The maximum price of products in USD.
string
The country codes to ship to.
Response
array
required
List of products in the marketplace
Hide product
Hide product
string
required
The product’s identifier.
string
required
The product’s name.
string
required
The product’s description.
array<string>
required
List of interests based on which the product was recommended.
array
required
List of product variants
Hide variant
Hide variant
string
required
The variant’s identifier.
⌘I
Get Gift Recommendations
